%define		status		beta
%define		pearname	PHP_Beautifier
%include	/usr/lib/rpm/macros.php
Summary:	%{pearname} - beautifier for PHP
Summary(pl.UTF-8):	%{pearname} - upiększacz dla PHP
Name:		php-pear-%{pearname}
Version:	0.1.15
Release:	5
License:	PHP 3.0
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{pearname}-%{version}.tgz
# Source0-md5:	43aaf77521c5efb353bd7d46d20fe158
Patch0:		%{name}-path_fix.patch
URL:		http://pear.php.net/package/PHP_Beautifier/
BuildRequires:	php-pear-PEAR >= 1:1.4.0-0.b1
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.654
Requires:	php(core) >= 5
Requires:	php(tokenizer)
Requires:	php-pear >= 4:1.0-7
Requires:	php-pear-Log >= 1.8
Suggests:	php-bz2
Suggests:	php-pear-Archive_Tar
Suggests:	php-pear-Console_Getopt
Suggests:	php-pear-PHP_DocBlockGenerator
Obsoletes:	php-pear-PHP_Beautifier-tests
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# exclude optional dependencies
%define		_noautoreq_pear Console/Getopt.* Archive/Tar.* PHP/DocBlockGenerator.*

%description
This program reformat and beautify PHP source code files
automatically.

In PEAR status of this package is: %{status}.

%description -l pl.UTF-8
Ten program automatycznie przeformatuje i upiększy kod źródłowy
aplikacji napisanych w PHP.

Ta klasa ma w PEAR status: %{status}.

%prep
%pear_package_setup
%patch0 -p1

mv docs/%{pearname}/examples .
rm ./%{_bindir}/php_beautifier.bat

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{php_pear_dir},%{_bindir},%{_examplesdir}/%{name}-%{version}}
%pear_package_install
install -p ./%{_bindir}/* $RPM_BUILD_ROOT%{_bindir}
cp -a examples/*  $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ -f %{_docdir}/%{name}-%{version}/optional-packages.txt ]; then
	cat %{_docdir}/%{name}-%{version}/optional-packages.txt
fi

%files
%defattr(644,root,root,755)
%doc install.log optional-packages.txt
%{php_pear_dir}/.registry/*.reg
%attr(755,root,root) %{_bindir}/php_beautifier
%{php_pear_dir}/PHP/*.php
%{php_pear_dir}/PHP/Beautifier

%{php_pear_dir}/data/%{pearname}

%{_examplesdir}/%{name}-%{version}
%changelog
* Wed May 14 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/php-pear-PHP_Beautifier.git;a=log;h=master

* Wed May 14 2014 Elan Ruusamäe <glen@delfi.ee> 3c4e06a
- use rpm4/rpm5 compatible _noautoreq pear

* Wed May 14 2014 Elan Ruusamäe <glen@delfi.ee> 2248ceb
- drop unused epoch 0

* Wed May 14 2014 Elan Ruusamäe <glen@delfi.ee> b99641c
- cleanups

* Wed May 14 2014 Elan Ruusamäe <glen@delfi.ee> 77d663b
- use virtual php extension deps (to be independant of php version)
- release 5 (by relup.sh)

* Tue Aug 07 2012 Elan Ruusamäe <glen@delfi.ee> 5f55771
- use virtual php extension deps (to be independant of php version)
- release 4 (by relup.sh)

* Tue Mar 01 2011 Elan Ruusamäe <glen@pld-linux.org> 2ee5b0a
- release 3

* Sun Jan 23 2011 sparky <sparky@pld-linux.org> b234a74
- dropped -tests

* Sat Aug 21 2010 Elan Ruusamäe <glen@pld-linux.org> 7c04cd3
- updated deps with pearize.sh
- release 2

* Sat Jun 12 2010 Elan Ruusamäe <glen@pld-linux.org> e117a79
- up to 0.1.15

* Thu Nov 06 2008 Elan Ruusamäe <glen@pld-linux.org> 91491cc
- examplesdir

* Sun Jun 22 2008 Adam Gołębiowski <adamg@pld-linux.org> 3e33e89
- updated to 0.1.14

* Thu Jan 31 2008 Elan Ruusamäe <glen@pld-linux.org> c67fdd4
- rel 3

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> ba6172b
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 3cad3f3
- converted to UTF-8

* Fri Jan 19 2007 Elan Ruusamäe <glen@pld-linux.org> ae5420a
- fixed deps; rel 2

* Fri Jan 19 2007 Elan Ruusamäe <glen@pld-linux.org> c0cc9ec
- more path fixes

* Fri Jan 19 2007 Elan Ruusamäe <glen@pld-linux.org> 4168ce2
- update to 0.1.11

* Fri Jan 19 2007 Elan Ruusamäe <glen@pld-linux.org> 75a12a2
- update to 0.1.11; updated License

* Fri Jan 19 2007 Elan Ruusamäe <glen@pld-linux.org> b476c75
- bzip2 extension is optional; rel 3

* Sun Nov 26 2006 Elan Ruusamäe <glen@pld-linux.org> ea3e990
- rel 2: use php(extension) virtuals

